<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames(([
    'href' => '#',
    'class' => '',
    'size' => 'xs',
    'button' => false,
    'type' => 'button',
]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter(([
    'href' => '#',
    'class' => '',
    'size' => 'xs',
    'button' => false,
    'type' => 'button',
]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>

<?php
    // Check if it's an external URL (starts with http:// or https://)
    $isExternal = !empty($href) && (str_starts_with($href, 'http://') || str_starts_with($href, 'https://'));
?>

<!--[if BLOCK]><![endif]--><?php if($button): ?>
    <button type="<?php echo e($type); ?>" class="text-<?php echo e($size); ?> text-indigo-600 font-semibold hover:underline text-left flex items-center height-11 <?php echo e($class); ?>">
        <?php echo e($slot); ?>

    </button>
<?php else: ?>
    <a href="<?php echo e($href); ?>" <?php if(!$isExternal): ?> wire:navigate <?php endif; ?> class="text-<?php echo e($size); ?> text-indigo-600 font-semibold hover:underline text-left flex items-center height-11 <?php echo e($class); ?>">
        <?php echo e($slot); ?>

    </a>
<?php endif; ?><!--[if ENDBLOCK]><![endif]--><?php /**PATH D:\WORK\MAARIFA\ANGO\DESKTOP\V4\ango-desktop\resources\views/components/basics/link.blade.php ENDPATH**/ ?>